SA-MP Forums

Go Back   SA-MP Forums > SA-MP Scripting and Plugins > Scripting Help

Reply
 
Thread Tools Display Modes
Old 16/02/2019, 08:44 AM   #1
Dawkin
Big Clucker
 
Dawkin's Avatar
 
Join Date: Jul 2018
Location: Viet Nam
Posts: 78
Reputation: 14
Default weapon config include

I try to install weapon config include and got this error

Code:
pawno\include\weapon-config.inc(2975) : error 025: function heading differs from prototype
pawno\include\weapon-config.inc(3222) : error 025: function heading differs from prototype
pawno\include\weapon-config.inc(3732) : warning 202: number of arguments does not match definition
pawno\include\weapon-config.inc(5320) : warning 219: local variable "hour" shadows a variable at a preceding level
pawno\include\weapon-config.inc(5320) : warning 219: local variable "second" shadows a variable at a preceding level
pawno\include\weapon-config.inc(5448) : warning 213: tag mismatch
pawno\include\weapon-config.inc(5448) : warning 213: tag mismatch
pawno\include\weapon-config.inc(5448) : warning 202: number of arguments does not match definition
pawno\include\weapon-config.inc(5540) : error 025: function heading differs from prototype
pawno\include\weapon-config.inc(5715) : error 025: function heading differs from prototype
pawno\include\weapon-config.inc(6331) : error 027: invalid character constant
Include: https://github.com/oscar-broman/samp-weapon-config

Help me
__________________
Discord: Dawkin Nguyen#7590
Dawkin is offline   Reply With Quote
Old 16/02/2019, 03:23 PM   #2
Dawkin
Big Clucker
 
Dawkin's Avatar
 
Join Date: Jul 2018
Location: Viet Nam
Posts: 78
Reputation: 14
Default Re: weapon config include

Quote:
Originally Posted by [HLF]Southclaw View Post
Look at the actual lines of code the errors point to. The first one is:

OnPlayerGiveDamage(playerid, damagedid, Float:amount, weaponid, bodypart)

This looks fine, matches the wiki: https://wiki.sa-mp.com/wiki/OnPlayerGiveDamage

This means your standard library is (years) out of date.
What should I do? Update my pawno, include?
__________________
Discord: Dawkin Nguyen#7590
Dawkin is offline   Reply With Quote
Old 16/02/2019, 06:46 PM   #3
Dawkin
Big Clucker
 
Dawkin's Avatar
 
Join Date: Jul 2018
Location: Viet Nam
Posts: 78
Reputation: 14
Default Re: weapon config include

I try update pawno and include to 0.3.7 but it not work, still error
__________________
Discord: Dawkin Nguyen#7590
Dawkin is offline   Reply With Quote
Old 16/02/2019, 07:46 PM   #4
raydx
Huge Clucker
 
raydx's Avatar
 
Join Date: Feb 2017
Posts: 203
Reputation: 73
Default Re: weapon config include

Are you using YSI? Can be related to onplayergivedamage differences.
raydx is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Need Help With Weapon-Config.inc travistaylor Scripting Help 0 13/08/2018 08:50 PM
[Ajuda] Include weapon-config JuninTJF Português/Portuguese 3 06/09/2017 03:07 PM
OnPlayerPrepareDeath using weapon-config aoky Scripting Help 9 13/06/2017 03:34 PM
weapon-config.inc crukk11 Scripting Help 24 20/05/2017 02:51 PM


All times are GMT. The time now is 12:14 PM.


Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.